#define NAME GammaFixedRate
#include "base.h"

struct family {
  FAMILY
  double rate;
};

struct source {
  PARAM
  double shape;
};

struct natural {
  PARAM
  double theta1;
};

struct expectation {
  PARAM
  double eta1;
};

family*      NAME(double rate);
source*      EF(create_source     )(family *ef, double alpha );
natural*     EF(create_natural    )(family *ef, double theta1);
expectation* EF(create_expectation)(family *ef, double eta1  );
void         EF(estimate_beta     )(family *ef, param* param0, unsigned int n, double* data, char* mask);

double EF(inv_psi)(double psi);

